package com.example.zxweb.utils;

import com.alibaba.fastjson.JSONObject;
import com.example.zxweb.common.constant.enums.IotApiPathsEnum;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @Description ios 设备请求工具
 * @Author ZhouWenTao
 * @Date 2023/9/8 11:59
 */
@Component
public class IotUtils {
    //请求服务地址
    private static final String API_PREFIX = "https://10.0.10.153:2443/api/iot/v1";

    public static JSONObject getApi(String apiUrl,Map<String,Object> queryData) {
        StringBuilder sb=new StringBuilder();
        int i=0;
        for (String field : queryData.keySet()) {
            String value = (String) queryData.get(field);
            sb.append(i==0?"?":"&");
            sb.append(field).append("=").append(value);
            i++;
        }
        JSONObject jsonObject = RestUtil.get(API_PREFIX+apiUrl + sb);
        return jsonObject;
    }
}
